//---------------------------------------------------------------------------

#ifndef CylinderH
#define CylinderH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <System.ImageList.hpp>
#include <Vcl.ImgList.hpp>
#include <Vcl.Menus.hpp>
#include <Vcl.Dialogs.hpp>
//---------------------------------------------------------------------------
class TCylinderForm : public TForm
{
__published:	// IDE-managed Components
	TMemo *Memo1;
	TCheckBox *NumberLines;
	TRadioGroup *Units;
	TRadioGroup *MeasurementMode;
	TCheckBox *Waypoint;
	TLabel *Label1;
	TEdit *WaypointX;
	TLabel *X;
	TLabel *Label2;
	TEdit *WaypointZ;
	TLabel *Label3;
	TEdit *StartpointX;
	TEdit *StartpointZ;
	TLabel *Label4;
	TEdit *EndpointX;
	TEdit *EndpointZ;
	TRadioGroup *FeedRateMode;
	TLabel *Label5;
	TEdit *LineNumberIncrement;
	TLabel *Label6;
	TEdit *Feedrate;
	TEdit *ClearanceX;
	TEdit *ClearanceZ;
	TLabel *Label7;
	TEdit *RoughingDOC;
	TLabel *Label8;
	TEdit *FinishDOC;
	TLabel *Label9;
	TLabel *Label10;
	TMemo *Header;
	TLabel *Label11;
	TMemo *Footer;
	TMainMenu *MainMenu1;
	TMenuItem *File;
	TMenuItem *Exit1;
	TMenuItem *SaveAs1;
	TMenuItem *N1;
	TMenuItem *Edit1;
	TMenuItem *Copy1;
	TMenuItem *Paste1;
	TMenuItem *N2;
	TMenuItem *SelectAll1;
	TMenuItem *Help1;
	TMenuItem *Help2;
	TImageList *ImageList1;
	TSaveDialog *SaveDialog1;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall NumberLinesClick(TObject *Sender);
	void __fastcall UnitsClick(TObject *Sender);
	void __fastcall WaypointClick(TObject *Sender);
	void __fastcall ClearanceXChange(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall SaveAs1Click(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall Edit1Click(TObject *Sender);
	void __fastcall SelectAll1Click(TObject *Sender);
	void __fastcall Paste1Click(TObject *Sender);
	void __fastcall Help2Click(TObject *Sender);
private:	// User declarations
    void UpdateGCode(void);
public:		// User declarations
	__fastcall TCylinderForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TCylinderForm *CylinderForm;
//---------------------------------------------------------------------------
#endif
